Subject: Re: cygwin.bat fails with "WFMO failed waiting for cygthread 'WnetGetResourceInformation'
From: Tim Hart <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 07 Jun 2005 19:06:46 -0500

>This has nothing to do with security but with accessing shares on the
>network.  Apparently you're accessing shares which are only available
>when the VPN is up and this *somehow* results in some internal problem.

>Unfortunately you're only giving very basic information.  Please have a
>look into http://cygwin.com/problems.html and follow the guidelines for
>reporting problems.  Especially add some clue how shares come into play.
>Any share you're accessing always in, say, your .bashrc?  Yes?  No?  How?

Great - now that I have a better understanding of the issue I can gladly provide useful information.

cygcheck.out attached.

If I'm attached to my domain, my windows command line defaults the current directory to the path pointed to by the 'HOME' environment variable. If not, it uses the HOMEPATH environment variable. 

I have not defined any .bashrc. The installation is plain vanilla cygwin. I have run mkpasswd & mkgroup while connected to my domain. In each case I included the command line switch for domain information

If I'm attached to the VPN (domain) and start cygwin.bat, then I end up with a typical prompt at TJHart@hartt ~ where '~' is also the value provided by 'HOME', and (obviously) the value of the home directory field in /etc/passwd.

My HOME is defined as a network location - \\Haggis\tjhart. While I am an administrator of my machine, I do not have the administrative rights in the domain to change this. The previous version of cygwin (1.5.16) dumped me in /etc/skel. While I would have preferred HOMEPATH (/cygdrive/c/Documents\ and\ Settings/TJHart.CORPORATE), I still had access to bash and was content.

Based on your comments above I have been able to perform some tests.

I DO have the rights to define a HOME environment variable in my own user space, which supersedes the HOME environment variable defined elsewhere (Default Windows? on the user profile in the domain?). I have tested this and it is an acceptable, but not preferred work-around. I have also re-generated /etc/passwd using the following configuration:

mkpasswd -l -d -p "$(cygpath -H)" > /etc/passwd.

This allows bash to start when I'm not connected to domain network resources. Unfortunately, it produces an incorrect home directory entry of

/cygdrive/c/Documents and Settings/TJHart

instead of the correct

/cygdrive/c/Documents and Settings/TJHart.CORPORATE.

This results in the user

CORPORATE\TJHART

and the local user

TJHART

having the same home directory path. I can use a few pattern matching tools to filter out the appropriate domain users and modify /etc/passwd accordingly. Obviously mkpasswd needs to be updated in order to produce correct home directory entries (possibly a unique format for Windows XP?).

While the error message provided by bash/cygwin provided only VERY basic information (certainly insufficient to those without a familiarity with the Win32 network API), your more complete, accurate, and precise explanation of the problem was more than sufficient for me to solve the problem.

Given that cygwin.bat uses the -login option for startup, I am comfortable with it's behavior.

Perhaps the cygwin routine producing the error could provide some more useful information in the future? Such as the fact that a network resource wasn't found - and the name of the resource?

>
>
>Corinna
>
>-- 
>Corinna Vinschen                  Please, send mails regarding Cygwin to
>Cygwin Project Co-Leader          mailto:[email-masked]
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/